POST V1/Lite/Security.{ext}/MobileSettings

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Mobile.Entities.Security.MobileSettings
NameDescriptionTypeAdditional information
NearestSites

No description available

integer

None.

FromDate

No description available

string

None.

ToDate

No description available

string

None.

Year

No description available

string

None.

NotificationList

No description available

Collection of EMS.Mobile.Entities.Security.Notification

None.

UtilityType

No description available

string

None.

CreatedUser

No description available

string

None.

ModifiedUser

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "nearestSites": 1,
  "fromDate": "sample string 2",
  "toDate": "sample string 3",
  "year": "sample string 4",
  "notificationList": [
    {
      "mobileNotificationId": 1,
      "notificationType": "sample string 2",
      "notificationDescription": "sample string 3",
      "status": true
    },
    {
      "mobileNotificationId": 1,
      "notificationType": "sample string 2",
      "notificationDescription": "sample string 3",
      "status": true
    }
  ],
  "utilityType": "sample string 5",
  "createdUser": "sample string 6",
  "modifiedUser": "sample string 7"
}

application/xml, text/xml

Sample:
<MobileSettings xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Mobile.Entities.Security">
  <CreatedUser>sample string 6</CreatedUser>
  <FromDate>sample string 2</FromDate>
  <ModifiedUser>sample string 7</ModifiedUser>
  <NearestSites>1</NearestSites>
  <NotificationList>
    <Notification>
      <MobileNotificationId>1</MobileNotificationId>
      <NotificationDescription>sample string 3</NotificationDescription>
      <NotificationType>sample string 2</NotificationType>
      <Status>true</Status>
    </Notification>
    <Notification>
      <MobileNotificationId>1</MobileNotificationId>
      <NotificationDescription>sample string 3</NotificationDescription>
      <NotificationType>sample string 2</NotificationType>
      <Status>true</Status>
    </Notification>
  </NotificationList>
  <ToDate>sample string 3</ToDate>
  <UtilityType>sample string 5</UtilityType>
  <Year>sample string 4</Year>
</MobileSettings>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.